Subject: Re: Smithe mill/lathe ? any good

From: <[email-masked]>
Date: Thu, 7 Apr 1994 12:12:42 CDT

I have a Smithy combination mill/lathe that is the AT300, the one
pictured in their ads.  I have had two previous metal lathes, one
a 7x10 import sold by HF and ENCO and a 6 x 12 craftman manufactured
Double A products.  The Smithy is far superior to either and
is more than adequate for my needs.  The fit,  finish and tolerances on
mine are excellent.  Maybe I got lucky, but I have to give Smithy a
high recommendation for hobbiest use.